#ifndef CDROM_H
#define CDROM_H
/*
 * $Id: cdrom.h,v 1.1 1997/12/19 04:43:16 dirk Exp $
 *
 * This file is part of WorkMan, the civilized CD player program
 * (c) 1991-1997 by Steven Grimm (original author)
 * (c) by Dirk Försterling (current 'author' = maintainer)
 * The maintainer can be contacted by his e-mail address:
 * milliByte@DeathsDoor.com 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Prototypes from cdrom.c
 * 
 * This is just one more step to a more modular and understandable code.
 */

int	cd_status( void );
void	play_chunk( int start, int end );
int	eject_cd( void );
void	play_from_pos( int pos );
int	read_initial_volume( int max );
void	pause_cd( void );
void	stop_cd( void );
int	find_trkind( int track, int index, int start );
void	play_cd( int start, int pos, int end );
int	susleep( int usec );
void	cd_volume( int vol, int bal, int max );

#endif /* CDROM_H */
